<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Floating Demo</title>
    <style>
        html, body {
            width: 90%;
            height: 90%;
            margin: 0;
            padding: 0;
        }
        .container {
            width: 100%;
            height: 100%;
            border: 1px solid blueviolet;
        }
        .div1 {
            background: cadetblue;
            width: 80px;
            height: 80px;
            float: left;
        }
        .div2 {
            width: 100px;
            height: 100px;
            background: coral;
            float: right;
        }
        .content {
            background: lightskyblue;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="div1">1</div>
        <div class="div2">2</div>
        <div class="clear" style="clear: both"></div>
        <div class="content">
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. In est, molestias aut ad nulla placeat suscipit maiores minus ipsa, unde, eum similique? Nisi at possimus quaerat accusamus atque assumenda quis?
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Officia deserunt earum cum quo unde nesciunt repudiandae porro, corporis ab sint aliquam tempore quasi enim esse voluptas sit iusto quae consequuntur?
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fugiat, laudantium esse quos nihil optio sequi officia! Et voluptate doloremque quas saepe amet expedita sequi ad, officia iste fugit quod deserunt?
        </div>
    </div>
</body>
</html>